Skip to navigation

Update a location

View as Markdown
Update location details

Authentication

AuthorizationToken

Your API key, sent as Authorization: Token <your API key>

Path parameters

directoryIdstringRequiredformat: "uuid"
id of the directory
entryIdstringRequiredformat: "uuid"
id of the Partner entry
locationIdstringRequiredformat: "uuid"
id of the Location

Request

This endpoint expects an object.
countryintegerOptional
regioninteger or nullOptional
cityinteger or nullOptional
orderintegerOptional>=0

Response

Successful operation
idstringformat: "uuid"
titlestring
orderinteger
countryinteger
countryNamestring
regioninteger or null
regionNamestring or null
cityinteger or null
cityNamestring or null

Errors

400
Bad Request Error
404
Not Found Error